EXEC = clang++
TARGET = --target
TYPE = rl78
AR = llvm-ar
CC := $(EXEC) $(TARGET)=$(TYPE)
RANLIB = llvm-ranlib
CCOPTS = -I'$(SRCDIR)/../libcxx/include' -include '$(SRCDIR)/../libcxx/__config_site' -D__ELF__  -D_HAVE_LONG_DOUBLE -D_LDBL_EQ_DBL -D_LIBCPP_SHORT_WCHAR -D_LIBCPP_PROVIDES_DEFAULT_RUNE_TABLE -D_LIBCPP_HAS_NO_LIBRARY_ALIGNED_ALLOCATION -D__LIBCPP_HAS_NO_ATOMIC_HEADER -D_NEWLIB_VERSION -fno-aligned-allocation -D_GNU_SOURCE=1 -D_POSIX_TIMERS=1 -D_LIBCXXABI_HAS_NO_THREADS -D_LIBCPP_NO_EXCEPTIONS -mmirror-source-common  -fdata-sections -ffunction-sections  -O3 -DNDEBUG   -DLIBCXX_BUILDING_LIBCXXABI -nostdinc++ -fvisibility-inlines-hidden -fvisibility=hidden -Wall -Wextra -W -Wwrite-strings -Wno-unused-parameter -Wno-long-long -Werror=return-type -Wextra-semi -Wno-user-defined-literals -Wno-covered-switch-default -Wno-ignored-attributes -Wno-error -std=c++14
ASOPTS = 
FLAGS1 = -DNDEBUG -D_LIBCPP_BUILDING_LIBRARY -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -D_LIBCPP_LINK_PTHREAD_LIB -D_LIBCPP_LINK_RT_LIB -D_LIBCPP_NO_EXCEPTIONS
INC = -I '$(SRCDIR)/'
AR_SW = -rcus
LIBPATH ?= ./libcxx.a
CCUOPTS = 
ASUOPTS = 

 
all:  algorithm.cpp.o \
 any.cpp.o \
 bind.cpp.o \
 charconv.cpp.o \
 chrono.cpp.o \
 condition_variable.cpp.o \
 condition_variable_destructor.cpp.o \
 debug.cpp.o \
 exception.cpp.o \
 functional.cpp.o \
 future.cpp.o \
 hash.cpp.o \
 ios.cpp.o \
 iostream.cpp.o \
 locale.cpp.o \
 memory.cpp.o \
 mutex.cpp.o \
 mutex_destructor.cpp.o \
 new.cpp.o \
 optional.cpp.o \
 random.cpp.o \
 regex.cpp.o \
 shared_mutex.cpp.o \
 stdexcept.cpp.o \
 string.cpp.o \
 strstream.cpp.o \
 system_error.cpp.o \
 thread.cpp.o \
 typeinfo.cpp.o \
 utility.cpp.o \
 valarray.cpp.o \
 variant.cpp.o \
 vector.cpp.o \

clean:
	-@$(RM) *.o

%.o: %.S
	
algorithm.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/algorithm.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

any.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/any.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

bind.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/bind.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

charconv.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/charconv.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

chrono.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/chrono.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

condition_variable.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/condition_variable.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

condition_variable_destructor.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/condition_variable_destructor.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

debug.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/debug.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

exception.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/exception.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

functional.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/functional.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

future.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/future.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

hash.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/hash.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

ios.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/ios.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

iostream.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/iostream.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

locale.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/locale.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

memory.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/memory.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

mutex.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/mutex.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

mutex_destructor.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/mutex_destructor.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

new.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/new.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

optional.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/optional.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


random.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/random.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


regex.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/regex.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


shared_mutex.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/shared_mutex.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


stdexcept.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/stdexcept.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


string.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/string.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


strstream.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/strstream.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


system_error.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/system_error.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


thread.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/thread.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


typeinfo.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/typeinfo.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


utility.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/utility.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


valarray.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/valarray.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


variant.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/variant.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

vector.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/vector.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

complete: all
lib: complete $(patsubst lib,,$(MAKECMDGOALS))
	@$(AR) $(AR_SW) '$(LIBPATH)' *.o
