EXEC = clang++
TARGET = --target
TYPE = rl78
AR = llvm-ar
CC := $(EXEC) $(TARGET)=$(TYPE)
RANLIB = llvm-ranlib
CCOPTS = -I'$(SRCDIR)/../libcxxabi/include' -I'$(SRCDIR)/../libcxx/include'  -D__ELF__  -D_HAVE_LONG_DOUBLE -D_LDBL_EQ_DBL -D_GNU_SOURCE=1 -D_LIBCPP_PROVIDES_DEFAULT_RUNE_TABLE -D__LIBCPP_HAS_NO_ATOMIC_HEADER -D_NEWLIB_VERSION -fno-aligned-allocation -D_POSIX_TIMERS=1 -D_LIBCPP_HAS_NO_THREADS -D_LIBCXXABI_NO_EXCEPTIONS -D_LIBCXXABI_HAS_NO_THREADS -mmirror-source-common  -fdata-sections -ffunction-sections -O3 -DNDEBUG -fPIC   -nostdinc++ -Werror=return-type -W -Wall -Wchar-subscripts -Wconversion -Wmismatched-tags -Wmissing-braces -Wnewline-eof -Wunused-function -Wshadow -Wshorten-64-to-32 -Wsign-compare -Wsign-conversion -Wstrict-aliasing=2 -Wstrict-overflow=4 -Wunused-parameter -Wunused-variable -Wwrite-strings -Wundef -Wimplicit-int-conversion -Wno-error -pedantic -fstrict-aliasing -D_DEBUG -D_LIBCPP_BUILD_STATIC -std=c++11
ASOPTS = 
FLAGS1 = -DHAVE___CXA_THREAD_ATEXIT_IMPL -DLIBCXXABI_BAREMETAL -D_LIBCPP_DISABLE_EXTERN_TEMPLATE -D_LIBCPP_ENABLE_CXX17_REMOVED_UNEXPECTED_FUNCTIONS -D_LIBCXXABI_BUILDING_LIBRARY -D_LIBCXXABI_LINK_PTHREAD_LIB -D_LIBCXXABI_NO_EXCEPTIONS
INC = -I '$(SRCDIR)/'
AR_SW = -rcus
LIBPATH ?= ./libcxxabi.a
CCUOPTS = 
ASUOPTS = 

 
all:  cxa_aux_runtime.cpp.o \
 cxa_default_handlers.cpp.o \
 cxa_demangle.cpp.o \
 cxa_exception_storage.cpp.o \
 cxa_guard.cpp.o \
 cxa_handlers.cpp.o \
 cxa_unexpected.cpp.o \
 cxa_vector.cpp.o \
 cxa_virtual.cpp.o \
 stdlib_exception.cpp.o \
 stdlib_stdexcept.cpp.o \
 stdlib_typeinfo.cpp.o \
 abort_message.cpp.o \
 fallback_malloc.cpp.o \
 private_typeinfo.cpp.o \
 stdlib_new_delete.cpp.o \
 cxa_noexception.cpp.o \
 cxa_thread_atexit.cpp.o \

clean:
	-@$(RM) *.o

%.o: %.S
	
cxa_aux_runtime.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_aux_runtime.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_default_handlers.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_default_handlers.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_demangle.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_demangle.cpp' $(CCUOPTS) $(ASUOPTS) $(INC) 
	
cxa_exception_storage.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_exception_storage.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_guard.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_guard.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_handlers.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_handlers.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_unexpected.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_unexpected.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_vector.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_vector.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_virtual.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_virtual.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

stdlib_exception.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/stdlib_exception.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

stdlib_stdexcept.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/stdlib_stdexcept.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

stdlib_typeinfo.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/stdlib_typeinfo.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

abort_message.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/abort_message.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

fallback_malloc.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/fallback_malloc.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

private_typeinfo.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/private_typeinfo.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

stdlib_new_delete.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/stdlib_new_delete.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_noexception.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_noexception.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)

cxa_thread_atexit.cpp.o:
	@$(CC) $(CCOPTS) $(ASOPTS) $(FLAGS1) -o $@ -c '$(SRCDIR)/src/cxa_thread_atexit.cpp' $(CCUOPTS) $(ASUOPTS) $(INC)


complete: all
lib: complete $(patsubst lib,,$(MAKECMDGOALS))
	@$(AR) $(AR_SW) '$(LIBPATH)' *.o
