EXEC = clang
TARGET = -target
TYPE = rl78
AR = llvm-ar
CC := $(EXEC) $(TARGET) $(TYPE)
RANLIB = llvm-ranlib
CCOPTS = -Os -fno-builtin -DPREFER_SIZE_OVER_SPEED -DSMALL_MEMORY -ffunction-sections -fdata-sections  -DMISSING_SYSCALL_NAMES -DHAVE_INIT_FINI    -mmirror-source-common -D_WANT_IO_LONG_LONG -D_LDBL_EQ_DBL

#and this too "-D_LDBL_EQ_DBL", when "-m64bit-doubles'
SINC := -isystem '$(SRCDIR)/libc/include'
MATHINC := '$(SRCDIR)/libm/common'
LIBGLOSS :=  -L '$(SRCDIR)/libgloss/rl78' -L '$(SRCDIR)/libgloss/libnosys'
AR_SW = -rc
LIBPATH =
CCUOPTS =
ASUOPTS =

#MKFILE_PATH := $(realpath $(MAKEFILE_LIST))
MKFILE_DIR := $(dir $(MKFILE_PATH))

#clean
clean:
	@echo Cleaning...
	-@$(RM) *.o

#all
all_announce:
	@echo Starting build for '$(@:_announce=)'...

libm_common:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I $(MATHINC) $(CCOPTS)  -fbuiltin -fno-math-errno $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libm/common/'*.c

libm_complex:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libm/complex'  -fbuiltin -fno-math-errno -I $(MATHINC) $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libm/complex/'*.c

libm_math:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libm/math' -fbuiltin -fno-math-errno -I $(MATHINC) $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libm/math/'*.c


libm: libm_common libm_complex libm_math

#only on 's' and 'v' targets
mathfp: libm_common libm_mathfp


libc_argz:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/argz' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/argz/'*.c

libc_ctype:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/ctype' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/ctype/'*.c

libc_errno:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/errno' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/errno/'*.c

libc_locale:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/locale' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/locale/'*.c

libc_misc:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/misc' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/misc/__dprintf.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/misc' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/misc/unctrl.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/misc' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/misc/ffs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/misc' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/misc/init.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/misc' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/misc/fini.c'

libc_reent:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/closer.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/reent.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/impure.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/fcntlr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/fstatr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/getreent.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/gettimeofdayr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/isattyr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/linkr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/lseekr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/mkdirr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/openr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/readr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/renamer.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/signalr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/signgam.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/sbrkr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/statr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/timesr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/unlinkr.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/writer.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/reent' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/reent/execr.c'

libc_search:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/search' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/search/'*.c

libc_signal:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/signal' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -c '$(SRCDIR)/libc/signal/'*.c

libc_stdio:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'clearerr.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fclose.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fdopen.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'feof.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'ferror.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fflush.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetpos.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgets.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fileno.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'findfp.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'flags.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fopen.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputs.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fread.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'freopen.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fseek.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fsetpos.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'ftell.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fvwrite.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fwalk.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fwrite.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getchar.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getchar_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getdelim.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getline.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'gets.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'makebuf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'perror.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'printf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putchar.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putchar_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'puts.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'refill.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'remove.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'rename.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'rewind.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'rget.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'scanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'sccl.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'setbuf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'setbuffer.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'setlinebuf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'setvbuf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'snprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'sprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'sscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'stdio.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'tmpfile.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'tmpnam.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'ungetc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vdprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vsnprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vsprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vsscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'wbuf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'wsetup.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'asprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fcloseall.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fseeko.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'ftello.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getw.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'mktemp.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putw.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vasprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'asnprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'clearerr_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'dprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'feof_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'ferror_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fflush_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgets_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetwc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetwc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetws.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fgetws_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fileno_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fmemopen.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fopencookie.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fpurge.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputs_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputwc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputwc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputws.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fputws_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fread_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fsetlocking.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'funopen.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fwide.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fwprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fwrite_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'fwscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getwc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getwc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getwchar.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'getwchar_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'open_memstream.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putwc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putwc_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putwchar.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'putwchar_u.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'stdio_ext.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'swprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'swscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'ungetwc.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vasnprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vswprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vswscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vwprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'vwscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'wprintf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)-c '$(SRCDIR)/libc/stdio/'wscanf.c
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdio/nano/nano-vfprintf_float.c' -o nano-vfprintf_float.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DSTRING_ONLY -c '$(SRCDIR)/libc/stdio/nano/nano-vfprintf.c' -o nano-svfprintf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DSTRING_ONLY -c '$(SRCDIR)/libc/stdio/nano/nano-vfscanf.c' -o nano-svfscanf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -c '$(SRCDIR)/libc/stdio/nano/nano-vfprintf.c' -o nano-vfprintf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -c '$(SRCDIR)/libc/stdio/nano/nano-vfprintf_i.c' -o nano-vfprintf_i.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -c '$(SRCDIR)/libc/stdio/nano/nano-vfscanf.c' -o nano-vfscanf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -c '$(SRCDIR)/libc/stdio/nano/nano-vfscanf_i.c' -o nano-vfscanf_i.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' -I '$(SRCDIR)/libc/stdio/nano' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -c '$(SRCDIR)/libc/stdio/nano/nano-vfscanf_float.c' -o nano-vfscanf_float.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DINTEGER_ONLY -DSTRING_ONLY -c '$(SRCDIR)/libc/stdio/vfwprintf.c' -o svfiwprintf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DSTRING_ONLY -c '$(SRCDIR)/libc/stdio/vfwprintf.c' -o svfwprintf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DINTEGER_ONLY -c '$(SRCDIR)/libc/stdio/vfwprintf.c' -o vfiwprintf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DINTEGER_ONLY -DSTRING_ONLY -c '$(SRCDIR)/libc/stdio/vfwscanf.c' -o svfiwscanf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DSTRING_ONLY -c '$(SRCDIR)/libc/stdio/vfwscanf.c' -o svfwscanf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS)  -DINTEGER_ONLY -c '$(SRCDIR)/libc/stdio/vfwscanf.c' -o vfiwscanf.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdio' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdio/vfwscanf.c' -o vfwscanf.o


libc_stdlib:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/__atexit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/__adjust.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/__call_atexit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/__exp10.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/__ten_mu.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/_Exit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/abort.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/abs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/aligned_alloc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/assert.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/atexit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/atof.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/atoff.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/atoi.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/atol.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/calloc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/div.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/dtoa.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/dtoastub.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/environ.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/envlock.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/eprintf.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/exit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/gdtoa-gethex.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/gdtoa-hexnan.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/getenv.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/getenv_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/imaxabs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/imaxdiv.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/itoa.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/labs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/ldiv.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/ldtoa.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/malloc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mblen.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mblen_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbstowcs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbstowcs_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbtowc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbtowc_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mlock.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mprec.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mstats.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/on_exit_args.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/quick_exit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/rand.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/rand_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/random.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/realloc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/reallocarray.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/reallocf.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/sb_charsets.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtod.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoimax.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtol.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoul.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoumax.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/utoa.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstod.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoimax.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstol.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoul.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoumax.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstombs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstombs_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wctomb.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wctomb_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtodg.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtold.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtorx.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstold.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/arc4random.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/arc4random_uniform.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/cxa_atexit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/cxa_finalize.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/drand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/ecvtbuf.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/efgcvt.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/erand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/jrand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/lcong48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/lrand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mrand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/msize.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mtrim.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/nrand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/rand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/seed48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/srand48.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoll.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoll_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoull.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/strtoull_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoll.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoll_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoull.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcstoull_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/atoll.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/llabs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/lldiv.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/a64l.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/btowc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/getopt.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/getsubopt.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/l64a.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/malign.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbrlen.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbrtowc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbsinit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbsnrtowcs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/mbsrtowcs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/on_exit.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/valloc.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcrtomb.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcsnrtombs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wcsrtombs.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/wctob.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/putenv.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/putenv_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/setenv.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/setenv_r.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/rpmatch.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/stdlib/system.c'
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_FREE -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-freer.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_REALLOC -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-reallocr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_CALLOC -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-callocr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_CFREE -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-cfreer.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_MALLINFO -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-mallinfor.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_MALLOC_STATS -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-mallstatsr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_MALLOC_USABLE_SIZE -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-msizer.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_MALLOC -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-mallocr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_MEMALIGN -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-malignr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_MALLOPT -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-malloptr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_PVALLOC -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-pvallocr.o
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/stdlib' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -DINTERNAL_NEWLIB -DDEFINE_VALLOC -c '$(SRCDIR)/libc/stdlib/nano-mallocr.c' -o nano-vallocr.o


libc_string:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/string' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/string/'*.c

libc_time:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/time' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/time/'*.c

libc_machine:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/machine/rl78' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/machine/rl78/'*.S
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/machine/rl78' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/machine/rl78/'*.c

libc_ssp:
	@$(CC) -isystem '$(SRCDIR)/targ-include_nano' $(SINC) -I. -I '$(SRCDIR)/libc/ssp' $(CCOPTS) $(CCUOPTS) $(ASUOPTS) -c '$(SRCDIR)/libc/ssp/'*.c

libc: libc_argz libc_errno libc_locale libc_machine libc_misc libc_reent libc_search libc_signal libc_ctype libc_stdio libc_string

math: libm_common libm_complex libm_math

common: libc_argz libc_errno libc_locale libc_machine libc_ssp libc_misc libc_reent libc_search libc_signal libc_time

stdio: libc_stdio

stdlib: libc_stdlib

string: libc_string

ctype: libc_ctype

all: stdio stdlib string ctype common math
#all: stdlib


lib: all $(patsubst lib,,$(MAKECMDGOALS))
	@echo Creating library $(LIBPATH)
	@$(AR) $(AR_SW) '$(LIBPATH)' *.o
	@$(RANLIB) '$(LIBPATH)'